package com.supervision.pdfqaserver.service;

import com.supervision.pdfqaserver.domain.ErAttribute;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author Administrator
* @description 针对表【er_attribute(实体关系属性表)】的数据库操作Service
* @createDate 2025-05-14 15:23:54
*/
public interface ErAttributeService extends IService<ErAttribute> {


    void saveIfAbsents(ErAttribute erAttribute, String domainMetadataId);

    List<ErAttribute> listByDomainMetadataId(String domainMetadataId);

    List<ErAttribute> listByDomainMetadataIds(List<String> domainMetadataIds);
}
