package com.supervision.pdfqaserver.service;

import com.supervision.pdfqaserver.domain.TruncationEntityExtraction;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.pdfqaserver.dto.EntityExtractionDTO;
import java.util.List;

/**
* @author Administrator
* @description 针对表【truncation_entity_extraction(片段实体抽取)】的数据库操作Service
* @createDate 2025-04-27 11:45:24
*/
public interface TruncationEntityExtractionService extends IService<TruncationEntityExtraction> {

    void saveERE(List<EntityExtractionDTO> entities);

    void deleteByTruncationId(String truncationId);

    List<TruncationEntityExtraction> queryByTruncationIds(List<String> truncationIds);
}
