package com.supervision.pdfqaserver.constant;

import lombok.Getter;

/**
 * 域元数据生成枚举类
 */
@Getter
public enum DomainMetaGenerationEnum {
    // 0=手动录入，1=系统自动
    DOM_MANUAL_ENTRY("0", "手动录入"),

    SYSTEM_AUTO_GENERATION("1", "系统自动");


    private final String code;
    private final String name;

    DomainMetaGenerationEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }
}
