package com.supervision.pdfqaserver.constant;

import lombok.Getter;

@Getter
public enum LayoutTypeEnum {
    /**
     * 文本
     */
    TEXT(0, "文本"),

    /**
     * 表格
     */
    TABLE(1, "表格");


    private final int code;
    private final String name;

    LayoutTypeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

}
