package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 中英文对照字典
 * @TableName chinese_english_words
 */
@Deprecated(since = "v_0.0.2")
@TableName(value ="chinese_english_words")
@Data
public class ChineseEnglishWords implements Serializable {
    /**
     * 中文
     */
    @TableId
    private String chineseWord;

    /**
     * 英文
     */
    private String englishWord;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}