package com.supervision.pdfqaserver.domain;

import com.baomidou.mybatisplus.annotation.*;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 
 * @TableName intention_domain_metadata
 */
@TableName(value ="intention_domain_metadata")
@Data
public class IntentionDomainMetadata implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 意图id
     */
    private String intentionId;

    /**
     * 领域元数据id
     */
    private String domainMetadataId;

    /**
     * 创建时间
     */
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}