package com.supervision.pdfqaserver.service;

import com.supervision.pdfqaserver.domain.ChineseEnglishWords;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
* @author Administrator
* @description 针对表【chinese_english_words(中英文对照字典)】的数据库操作Service
* @createDate 2025-04-27 11:45:24
*/
public interface ChineseEnglishWordsService extends IService<ChineseEnglishWords> {


    List<ChineseEnglishWords> queryAll();


    boolean wordsExists(String word, List<ChineseEnglishWords> wordsList);

    void  saveIfNotExists(ChineseEnglishWords words);
}
