package com.supervision.pdfqaserver.service;

import com.supervision.pdfqaserver.domain.IntentionDomainMetadata;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author Administrator
* @description 针对表【intention_domain_metadata】的数据库操作Service
* @createDate 2025-05-14 15:23:54
*/
public interface IntentionDomainMetadataService extends IService<IntentionDomainMetadata> {


    List<IntentionDomainMetadata> listByIntentionId(String intentionId);

    List<IntentionDomainMetadata> listByIntentionIds(List<String> intentionIds);

    void batchSaveIfAbsent(String intentionId, List<String> metadataIds);
}
