package com.supervision.pdfqaserver.service;

import com.supervision.pdfqaserver.domain.PdfAnalysisOutput;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
* @author Administrator
* @description 针对表【pdf_analysis_output】的数据库操作Service
* @createDate 2025-04-27 11:45:24
*/
public interface PdfAnalysisOutputService extends IService<PdfAnalysisOutput> {

    List<PdfAnalysisOutput> queryByPdfId(Integer pdfId);

    /**
     * 根据pdfId查询前n个字符串
     * @param pdfId
     * @param limit
     * @return
     */
    String queryByPdfIdAndLimit(Integer pdfId, Integer limit);
}
