package com.supervision.pdfqaserver.service;

import com.supervision.pdfqaserver.domain.PdfInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.List;

/**
* @author Administrator
* @description 针对表【pdf_info(pdf信息)】的数据库操作Service
* @createDate 2025-04-27 11:45:24
*/
public interface PdfInfoService extends IService<PdfInfo> {


    void pdfToGraphStart(Integer pdfId);

    void pdfToGraphComplete(Integer pdfId);

    void pdfToGraphFail(Integer pdfId);

    List<PdfInfo> listNeedGenerateGraph(Integer limit);

    PdfInfo getByPdfId(Integer pdfId);


    void updateContentType(Integer pdfId, String contentType);


    void updateCategory(Integer pdfId, String category);


    void pdfTrainStart(Integer pdfId);

    void pdfTrainComplete(Integer pdfId);

    void pdfTrainFail(Integer pdfId);

}
