package com.supervision.pdfqaserver.service;

import com.supervision.pdfqaserver.domain.TruncationRelationExtraction;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.pdfqaserver.dto.RelationExtractionDTO;
import java.util.List;

/**
* @author Administrator
* @description 针对表【truncation_relation_extraction(片段关系抽取)】的数据库操作Service
* @createDate 2025-04-27 11:45:24
*/
public interface TruncationRelationExtractionService extends IService<TruncationRelationExtraction> {

    void saveERE(List<RelationExtractionDTO> relations);

    void deleteByTruncationId(String truncationId);

    List<TruncationRelationExtraction> queryByTruncationIds(List<String> documentIds);
}
