package com.supervision.pdfqaserver.service.impl;

import com.supervision.pdfqaserver.service.AiCallService;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.ai.ollama.OllamaChatModel;
import org.springframework.stereotype.Service;

@Slf4j
@Service
@RequiredArgsConstructor
public class OllamaCallServiceImpl implements AiCallService {

    private final OllamaChatModel ollamaChatModel;
    @Override
    public String call(String prompt) {

        return ollamaChatModel.call(prompt);
    }
}
